Get Clarity Process Snapshot
curl --request GET \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id} \
--header 'Authorization: Bearer <token>'{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_snapshot_id": null,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>",
"kind": "current_process",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"nodeType": "event",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>"
}
],
"condition": "<string>",
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"readinessRationale": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>"
}
}
}ClarityV2
Get Clarity Process Snapshot
Fetch the full payload for a Clarity v2 process snapshot of either kind.
GET
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
snapshots
/
{kind}
/
{snapshot_id}
Get Clarity Process Snapshot
curl --request GET \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id} \
--header 'Authorization: Bearer <token>'{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_snapshot_id": null,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>",
"kind": "current_process",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"nodeType": "event",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>"
}
],
"condition": "<string>",
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"readinessRationale": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>"
}
}
}Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The clarity process id
Snapshot kind to list
Available options:
current_process, transformation_proposal Snapshot id
Response
Default Response
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I